{
  config,
  pkgs,
  lib,
  self-meta,
  ...
}:
let
  inherit (lib)
    mkEnableOption
    mkIf
    mkMerge
    ;
  zsh = import ./zsh.nix;
  config-sys = config;
in
{
  imports = [ (import ./zsh.nix).system ];
  home-manager = {
    useGlobalPkgs = true;
    sharedModules = [
      (
        { config, ... }:
        {
          imports = [
            zsh.user
            ./neovim.nix
            self-meta.nixvim.homeManagerModules.nixvim
          ];
          options.kat = {
            # TODO: ssh = mkEnableOption "ssh configuration";
            work-tooling = mkEnableOption "common work tools";
          };
          config = mkMerge [
            {
              home = {
                inherit (config-sys.system) stateVersion;
                packages = [ pkgs.rlwrap ];
              };
            }
            (mkIf config.kat.work-tooling {
              home.packages = [ pkgs.numbat ];
              programs.lazygit = {
                enable = true;
                settings.git.overrideGpg = true;
              };
            })
          ];
        }
      )
    ];
  };
}
