{
  ...
}:
{
  deployment = {
    targetHost = "darknet.kat";
    tags = [ "kat-vms" ];
  };

  imports = [
    ./hardware-configuration.nix
    ./disks.nix
  ];

  boot = {
    loader = {
      systemd-boot.enable = true;
      efi.canTouchEfiVariables = true;
    };
    kernelParams = [ "console=ttyS0" ];
  };

  systemd.network.networks."10-enp1s0" = {
    name = "enp1s0";
    address = [
      "192.168.122.8/24"
      "fe80::8/64"
    ];
    routes = [
      {
        Gateway = "192.168.122.1";
      }
    ];
    dns = [ "192.168.122.1" ];
  };

  services = {
    getty.autologinUser = "root";
    openssh.enable = true;
  };

  networking = {
    useDHCP = false;
    firewall.enable = false;
  };

  system.stateVersion = "23.11";
}
