{
  config,
  lib,
  modulesPath,
  ...
}:

{
  imports = [ (modulesPath + "/installer/scan/not-detected.nix") ];

  boot = {
    initrd = {
      availableKernelModules = [
        "xhci_pci"
        "usbhid"
        "usb_storage"
        "sd_mod"
        "sdhci_pci"
      ];
      kernelModules = [ ];
    };
    kernelModules = [ "kvm-intel" ];
    extraModulePackages = [ ];
  };

  fileSystems = {
    "/" = {
      device = "UUID=2d6f7d3a-936d-457c-86c7-f49d816ff5b7";
      fsType = "bcachefs";
      options = [
        "fsck"
        "fix_errors"
      ];
    };

    "/boot" = {
      device = "/dev/disk/by-uuid/DD9A-3823";
      fsType = "vfat";
    };

    "/.ssd" = {
      device = "UUID=b4fc22f8-aecd-4cde-b77d-79825fae65eb";
      fsType = "bcachefs";
      options = [
        "fsck"
        "fix_errors"
      ];
      neededForBoot = true;
    };

    "/nix/store" = {
      device = "/.ssd/nix-store";
      options = [ "bind" ];
      depends = [ "/.ssd" ];
    };

    "/var/lib/libvirt" = {
      device = "/.ssd/libvirt";
      options = [ "bind" ];
      depends = [ "/.ssd" ];
    };
  };

  swapDevices = [ ];

  networking.useDHCP = lib.mkDefault true;

  nixpkgs.hostPlatform = lib.mkDefault "x86_64-linux";
  hardware.cpu.intel.updateMicrocode = lib.mkDefault config.hardware.enableRedistributableFirmware;
}
