{ ... }: {
  systemd.network = {
    enable = true;
    networks = {
      "05-enp2s0" = {
        name = "enp2s0";
        address = [ "192.168.2.1/24" ];
        networkConfig.DHCPServer = "yes";
        dhcpServerConfig = {
          PoolOffset = 100;
          PoolSize = 100;
        };
      };
    };
  };

  networking = {
    nftables = {
      enable = true;
      tables.nat = {
        family = "ip";
        content = ''
          chain postrouting {
            type nat hook postrouting priority 100;
            ip saddr 192.168.2.0/24 ip daddr != {
              10.10.10.0/24,
              10.42.0.0/16,
              192.168.122.0/24,
              192.168.1.0/24,
              100.80.0.0/16,
            } masquerade
          }
        '';
      };
    };
    firewall.allowedUDPPorts = [ 67 ];
  };
}
