{
  programs.ssh = {
    enable = true;
    compression = true;
    serverAliveCountMax = 1;
    serverAliveInterval = 10;
    matchBlocks = {
      "*" = {
        setEnv."TERM" = "xterm-256color";
      };

      "watcher.kat" = {
        user = "root";
        hostname = "watcher.katvayor.net";
      };
      "manah.kat" = {
        user = "root";
        hostname = "10.42.0.1";
        proxyJump = "watcher.kat";
      };

      "degette.kat" = {
        user = "root";
        hostname = "fe80::2%%virbr0";
        proxyJump = "manah.kat";
      };
      "betamail.kat" = {
        user = "root";
        hostname = "fe80::3%%virbr0";
        proxyJump = "manah.kat";
      };
      "son.kat" = {
        user = "root";
        hostname = "fe80::5%%virbr0";
        proxyJump = "manah.kat";
      };
      "orchid.kat" = {
        user = "root";
        hostname = "fe80::6%%virbr0";
        proxyJump = "manah.kat";
      };
      "www.kat" = {
        user = "root";
        hostname = "fe80::7%%virbr0";
        proxyJump = "manah.kat";
      };

      "darknet.kat" = {
        user = "root";
        hostname = "fe80::8%%virbr0";
        proxyJump = "manah.kat";
      };
      "sas.ens" = {
        user = "lbailly";
        hostname = "sas.eleves.ens.fr";
      };
      "degette.ens" = {
        user = "dg";
        hostname = "www.dg.ens.fr";
        proxyJump = "sas.ens";
      };
      "bocal.ens" = {
        user = "bocal";
        hostname = "fregate";
        proxyJump = "sas.ens";
      };
      "moderate.ens" = {
        user = "moderate";
        hostname = "sas.eleves.ens.fr";
      };

      "netcore02.dgn" = {
        user = "root";
        hostname = "fd26:baf9:d250:8000::1001";
        proxyJump = "vault01.dgnum";
        # identityFile = "~/.ssh/juniper";
      };
      "netaccess01.dgn" = {
        user = "root";
        hostname = "fd26:baf9:d250:8000::2001";
        proxyJump = "vault01.dgnum";
        # identityFile = "~/.ssh/juniper";
      };
      "netcore01.dgn" = {
        user = "root";
        hostname = "fd26:baf9:d250:8000::100f";
        proxyJump = "vault01.dgnum";
      };
      "vault01.dgnum" = {
        user = "root";
        hostname = "vault01.hyp01.infra.dgnum.eu";
      };
      "bridge01.dgnum" = {
        user = "root";
        hostname = "fd26:baf9:d250:8000::ffff";
        proxyJump = "vault01.dgnum";
      };

      "krz01.lab" = {
        user = "root";
        hostname = "129.199.146.21";
      };
      "router02.lab" = {
        user = "root";
        hostname = "129.199.146.230";
      };
      "routexp01.lab" = {
        user = "root";
        hostname = "2a0e:e701:1120:1000::1000:01";
        proxyJump = "router02.lab";
      };
      "roam01.lab" = {
        user = "root";
        hostname = "10.10.17.2";
        proxyJump = "vault01.dgnum";
      };
    };
  };
}
